Cantera 2.6.0

Namespaces | Functions
Func1.cpp File Reference
`#include "cantera/numerics/Func1.h"`
`#include "cantera/base/stringUtils.h"`
Include dependency graph for Func1.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static bool | isConstant (Func1 &f)
static bool | isZero (Func1 &f)
static bool | isOne (Func1 &f)
static bool | isTimesConst (Func1 &f)
static bool | isExp (Func1 &f)
static bool | isPow (Func1 &f)
Func1 & | newSumFunction (Func1 &f1, Func1 &f2)
Func1 & | newDiffFunction (Func1 &f1, Func1 &f2)
Func1 & | newProdFunction (Func1 &f1, Func1 &f2)
Func1 & | newRatioFunction (Func1 &f1, Func1 &f2)
Func1 & | newCompositeFunction (Func1 &f1, Func1 &f2)
Func1 & | newTimesConstFunction (Func1 &f, doublereal c)
Func1 & | newPlusConstFunction (Func1 &f, doublereal c)